Bug 1305965 - cannot create dynamic wep connection
cannot create dynamic wep connection
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Matthias Clasen
Desktop QE
:
: 1049500 1359183 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 12:06 EST by Vladimir Benes
Modified: 2018-02-14 21:05 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 767449 None None None 2016-06-09 09:11 EDT

  None (edit)
Description Vladimir Benes 2016-02-09 12:06:10 EST
Description of problem:
every time I create wep enterprise profile it switches back to key management.

I use something like this:
        | Tab      | Field                | Value                          |
        | Security | Security             | Dynamic WEP (802.1x)           |
        | Security | Authentication       | Tunneled TLS                   |
        | Security | Anonymous identity   | Bill Smith                     |
        | Security | CA certificate       | /tmp/certs/eaptest_ca_cert.pem |
        | Security | Inner authentication | MSCHAPv2                       |
        | Security | Username             | Bill Smith                     |
        | Security | Password             | testing123                     |

but the connection looks like:
802-11-wireless-security.key-mgmt:      none
802-11-wireless-security.wep-tx-keyidx: 0
802-11-wireless-security.auth-alg:      --
802-11-wireless-security.proto:         
802-11-wireless-security.pairwise:      
802-11-wireless-security.group:         
802-11-wireless-security.leap-username: --

but it should look like (from working NM test):
802-11-wireless-security.key-mgmt:      ieee8021x
802-1x.eap:                             ttls
802-1x.phase2-auth:                     mschapv2
802-1x.identity:                        Bill Smith
802-1x.password:                        testing123
802-1x.ca-cert:                         file:///tmp/certs/eaptest_ca_cert.pem

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-27.el7.x86_64
control-center-3.14.5-8.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.create new connection as shown above (I can provide machine with available AP)
2.connect

Actual results:
impossible, connection when edited again shows WEP Key type again

Expected results:
connect possible, profile correctly set and remembered

Additional info:
AFAIK this affects TLS and TTLS wep enterprise types, I have no other types to check.
Comment 5 Vladimir Benes 2016-03-02 08:18:52 EST
*** Bug 1049500 has been marked as a duplicate of this bug. ***
Comment 12 Bastien Nocera 2016-06-02 12:13:52 EDT
I've looked at this bug into more details, getting information from dcbw as well.

1) Can you rename the bug to "Dynamic WEP"? I looked for "wep enterprise" and could not find anything related to that. dcbw explained that it was "Dynamic WEP", for which I was able to find information.

2) The bug is marked as a regression. From which product/version is that a regression? How did it work in that version?

3) 
> every time I create wep enterprise profile it switches back to key management.

- How do you create the profile?
- Can you explain the exact steps in the UI?
- Do you click on the gear button in the list of APs and modify the settings by hand? (in which case, I don't need access to the AP to verify that the values are saved correctly)
Comment 14 Bastien Nocera 2016-06-06 12:52:00 EDT
Can you answer the questions in comment 12 please?
Comment 16 Bastien Nocera 2016-06-09 09:11:10 EDT
I'll reassign to NetworkManager for now, because it doesn't work in nm-connection-editor either, which gnome-control-center's Network Security pages are based on.
Comment 21 Vladimir Benes 2016-07-25 07:52:28 EDT
*** Bug 1359183 has been marked as a duplicate of this bug. ***
Comment 23 Francesco Giudici 2016-08-05 13:06:29 EDT
I have been able to reproduce the issue in this way:
1) Choose a WEP or WPA-PSK protected WiFi network from gnome applet
2) When prompted for the key just cancel
3) Then change the connection in gnome-control-center as per Vlad settings (change it to Dynamic WEP (802.1X))

If you now check the connection (nmcli c s) you will see that the settings have not been changed.

If you try to perform point 3) with nm-connection-editor, it works.

If you open it after the change with gnome-control-center, you will se all the option correctly but any change in any option (e.g., the identity field) will not be saved.

So, I will reassign the bug to gnome-control-center for further investigation.
Comment 25 Bastien Nocera 2016-08-29 10:45:23 EDT
I cannot find a version of RHEL where dynamic WEP works properly. I also could not setup an Access Point locally to debug this problem.

Given that dynamic WEP is a very niche setup, I'll punt this to RHEL 7.4, which would hopefully come with an updated control-center package, and focus on fixing the problem upstream.
Comment 27 Bastien Nocera 2016-09-14 06:54:24 EDT
(In reply to Bastien Nocera from comment #25)
> I cannot find a version of RHEL where dynamic WEP works properly. I also
> could not setup an Access Point locally to debug this problem.

Removed the regression keyword.

FWIW, upstream bug was updated:
Retitling. I discussed "Dynamic WEP" support with Cisco and it is not supported by the latest APs or other network hardware they ship.

https://www.cisco.com/c/en/us/td/docs/wireless/controller/8-3/config-guide/b_cg83/b_cg83_chapter_01010100.html#ID957

"Dynamic WEP encryption method is not supported. The last release to support this method was Release 7.0 "
Last 7.0 releases were in 2011.

Note You need to log in before you can comment on or make changes to this bug.